BLKZONE(8)

NAMN
blkzone - kör zonkommando på en enhet

SYNOPSIS

blkzone kommando [flaggor] enhet

BESKRIVNING

blkzone används för att köra zonkommandon på enheter som stöder ZBC-kommandon (Zoned Block Commands) eller ZAC-kommandon (Zoned-device ATA Commands). De zoner som ska köras kan specificeras med hjälp av flaggorna offset, count och length.

Argumentet enhet är blockenhetens sökvägsnamn.

KOMMANDON

  felanmalan

Kommandot blkzone report används för att rapportera information om enhetens zon.

Som standard kommer kommandot att rapportera alla zoner från början av blockenheten. Flaggor kan användas för att modifiera detta beteende, ändra startzonen eller storleken på rapporten, enligt vad som förklaras nedan.

Rapportutgång:

     start      Zone start sector
     len        Zone length in number of sectors
     cap        Zone capacity in number of sectors
     wptr       Zone write pointer position
     reset      Reset write pointer recommended
     non-seq    Non-sequential write resources active
     cond       Zone condition
     type       Zone type

Zonvillkor:

     cl    Closed
     nw    Not write pointer
     em    Empty
     fu    Full
     oe    Explicitly opened
     oi    Implicitly opened
     ol    Offline
     ro    Read only
     xN    Reserved conditions (should not be reported)

  kapacitet

Kommandot blkzone capacity används för att rapportera information om enhetens kapacitet.

Som standard kommer kommandot att rapportera summan, i antal sektorer, av alla zonkapaciteter på enheten. Flaggor kan användas för att modifiera detta beteende, ändra startzonen eller storleken på rapporten, enligt vad som förklaras nedan.

  återställ

Kommandot blkzone reset används för att återställa en eller flera zoner. Till skillnad från sg_reset_wp(8) arbetar detta kommando från blocklagret och kan återställa ett antal zoner.

  öppen

Kommandot blkzone open används för att explicit öppna en eller flera zoner. Till skillnad från sg_zone(8), open action, fungerar detta kommando från blocklagret och kan öppna ett antal zoner.

  stäng

Kommandot blkzone close används för att stänga en eller flera zoner. Till skillnad från sg_zone(8), close action, arbetar detta kommando från blocklagret och kan stänga ett antal zoner.

  mål

Kommandot blkzone finish används för att avsluta (övergå till fullt tillstånd) en eller flera zoner. Till skillnad från sg_zone(8), finish action, arbetar detta kommando från blocklagret och kan avsluta ett antal zoner.

Som standard utförs kommandona reset, open, close och finish från zonen i enhetssektor 0 och på alla zoner. Flaggor kan användas för att ändra detta beteende enligt förklaringen nedan.

FLAGGOR

Flaggargumenten offset och längd kan följas av de multiplikativa suffixen KiB (=1024), MiB (=1024*1024) och så vidare för GiB, TiB, PiB, EiB, ZiB och YiB ("iB" är valfritt, t.ex. har "K" samma betydelse som "KiB") eller suffixen KB (=1000), MB (=1000*1000) och så vidare för GB, TB, PB, EB, ZB och YB. Dessutom kan prefixet 0x användas för att ange offset och längd i hex.

-o, --offset sector
    Startzonen specificerad som en sektorförskjutning. Den angivna förskjutningen i sektornheter (512 byte) ska motsvara början på en zon. Standardvärdet är noll.

-l, --length sektorer
    Det maximala antalet sektorer som kommandot ska fungera på. Standardvärdet är antalet sektorer som återstår efter offset. Denna flagga kan inte användas tillsammans med flaggan --count.

-c, --count count
    Det maximala antalet zoner som kommandot ska fungera på. Standardvärdet är antalet zoner som börjar från offset. Denna flagga kan inte användas tillsammans med flaggan --length.

-f, --force
    Verkställ kommandon för att ändra zonstatus på blockenheter som används av systemet.

-v, --verbose
    Visa antalet zoner som returnerats i rapporten eller antalet sektorer som återställts.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

UPPHOVSPERSONER

SE ÄVEN

sg_rep_zoner(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot blkzone ingår i paketet util-linux som kan hämtas från